## com.lowagie.tools.arguments
Class PageTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          com.lowagie.tools.arguments.PageTableModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

    public class PageTableModel

extends javax.swing.table.AbstractTableModel

A table that shows info about the pages in a PDF document.

See Also:
  Serialized Form

Field Summary
`(package private) java.text.DecimalFormat` `myFormatter`
`(package private) int` `numberOfPages`
`(package private) PdfReader` `reader`
`private static long` `serialVersionUID`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`PageTableModel(java.lang.String filename)`

Method Summary
`int` `getColumnCount()` Returns the number of columns in the model.
`java.lang.String` `getColumnName(int column)`
`int` `getRowCount()` Returns the number of rows in the model.
`java.lang.Object` `getValueAt(int rowIndex, int columnIndex)` Returns the value for the cell at `columnIndex` and `rowIndex`.

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### numberOfPages

    int numberOfPages

### reader

    PdfReader reader

### myFormatter

    java.text.DecimalFormat myFormatter

Constructor Detail

### PageTableModel

    public PageTableModel(java.lang.String filename)

Method Detail

### getColumnCount

    public int getColumnCount()

  Returns the number of columns in the model.

  Returns:
    the number of columns in the model

### getRowCount

    public int getRowCount()

  Returns the number of rows in the model.

  Returns:
    the number of rows in the model

### getValueAt

    public java.lang.Object getValueAt(int rowIndex,
                                       int columnIndex)

  Returns the value for the cell at `columnIndex` and `rowIndex`.

  Parameters:
    `rowIndex` - the row whose value is to be queried
    `columnIndex` - the column whose value is to be queried
  Returns:
    the value Object at the specified cell

### getColumnName

    public java.lang.String getColumnName(int column)

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnName` in class `javax.swing.table.AbstractTableModel`